package cn.com.infosec.crypto.paddings;

import java.security.SecureRandom;

public class TBCPadding implements BlockCipherPadding {
   public void init(SecureRandom random) {
   }

   public String getPaddingName() {
      return "TBC";
   }

   public int addPadding(byte[] in, int inOff) {
      int var4 = in.length - inOff;
      byte var3;
      if (inOff > 0) {
         var3 = (byte)((in[inOff - 1] & 1) == 0 ? 255 : 0);
      } else {
         var3 = (byte)((in[in.length - 1] & 1) == 0 ? 255 : 0);
      }

      while(inOff < in.length) {
         in[inOff] = var3;
         ++inOff;
      }

      return var4;
   }

   public int padCount(byte[] in) {
      byte var3 = in[in.length - 1];

      int var2;
      for(var2 = in.length - 1; var2 > 0 && in[var2 - 1] == var3; --var2) {
      }

      return in.length - var2;
   }
}
